// HydroD V4.7-01 started 04-Apr-2016 15:39:53
// HydroD V4.7-01 ended 04-Apr-2016 15:39:53
// HydroD V4.7-01 started 04-Apr-2016 15:39:53
WadamWizard1 = WadamWizard();
WadamWizard1.setModelConfiguration(WadamWorkflowPanelModel);
WadamWizard1.setPanelModelConfiguration(WadamWorkflowElementPanelModel);
WadamWizard1.timeDomain(false);
WadamWizard1.loadCrossection = true;
WadamWizard1.loadTransfer = true;
WadamWizard1.tankPressure = false;
WadamWizard1.offbodyPoints = true;
WadamWizard1.rollDamping = true;
WadamWizard1.stochasticRollDamping = false;
WadamWizard1.pressurePanels = true;
WadamWizard1.secondOrder = false;
WadamWizard1.dampingMatrix = false;
WadamWizard1.criticalDamping = false;
WadamWizard1.restoringMatrix = false;
DirectionSet1 = DirectionSet(Array(0));
WadamWizard1.addEditObject(DirectionSet1);
FrequencySet1 = FrequencySet(WavePeriod(),Array(2 s,2.2 s,2.4 s,2.6 s,2.8 s,3 s,3.2 s,3.4 s,3.6 s,3.8 s,4 s,4.2 s,4.4 s,4.6 s,4.8 s,5 s,5.2 s,5.4 s,5.6 s,5.8 s,6 s,6.2 s,6.4 s,6.6 s,6.8 s,7 s,7.2 s,7.4 s,7.6 s,7.8 s,8 s,8.2 s,8.4 s,8.6 s,8.8 s,9 s,9.2 s,9.4 s,9.6 s,9.8 s,10 s,10.2 s,10.4 s,10.6 s,10.8 s,11 s,11.2 s,11.4 s,11.6 s,11.8 s,12 s));
WadamWizard1.addEditObject(FrequencySet1);
Location1 = Location();
Location1.gravity = 9.80665 m/s^2;
Location1.air.density = 1.226 Kg/m^3;
Location1.air.kinematicViscosity = 1.462e-005 m^2/s;
Location1.water.density = 1025 Kg/m^3;
Location1.water.kinematicViscosity = 1.19e-006 m^2/s;
Location1.setDepth(300m);
WadamWizard1.addEditObject(Location1);
Condition1 = FrequencyDomain(Location1);
Condition1.waterSurface().directionSet = DirectionSet1;
Condition1.waterSurface().frequencySet = FrequencySet1;
Condition1.waterSurface().waveAmplitude = 0.1m;
WadamWizard1.addEditObject(Condition1);
HydroModel1 = HydroModel(HydroModelFloating);
HydroModel1.setColumnStabilized(false);
HydroModel1.setBoundaryType(HydroModelFloating);
HydroModel1.setColumnStabilized(false);
WadamWizard1.addEditObject(HydroModel1);
HydroModel1.setActiveFolder();
PanelModel1 = PanelModel(HydroModel1,ElementEnumsFEMFile,"C:/DNVGL/Workspaces/GeniE/concept_31.03/concept_31.03T1.FEM",false,false);
WadamWizard1.addEditObject(PanelModel1);
LoadingCondition1 = LoadingCondition(HydroModel1,0 m,0 deg,0 deg);
LoadingCondition1.setLoadingCondition(0 m,0 deg,0 deg);
WadamWizard1.addEditObject(LoadingCondition1);
MassModel1 = MassModel(LoadingCondition1,ElementEnumsFEMFile,"C:/DNVGL/Workspaces/GeniE/concept_31.03/concept_31.03T1.FEM");
MassModel1.addTankMass(true);
MassModel1.internalDynamics(false);
LoadingCondition1.computeCompartmentPoints();
MassModel1.updateStiffnessWithFreeSurfaceEffect(true);
WadamWizard1.addEditObject(MassModel1);
WadamRun1 = WadamRun();
// Start Input **********
WadamRun1.setHydroModel(HydroModel1);
WadamRun1.useMultiBody(false);
WadamRun1.setLoadingCondition(LoadingCondition1);
WadamRun1.setEnvironmentData(Condition1);
WadamRun1.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun1.dataCheck(false);
WadamRun1.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun1.setToleranceWaterLine(5);
WadamRun1.setToleranceCOG(5);
WadamRun1.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
WadamRun1.calculateDrift(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun1.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun1.setSolverType(WadamRunDirectSolver);
WadamRun1.setMaxMatrixDimension(5000);
   // End Equation Solver **********
   // Start Print **********
WadamRun1.setPrintType(WadamRunNormalPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun1.setResponseFileType(WadamRunSIFFormatted);
WadamRun1.calculateEigenvalues(true);
WadamRun1.defineGlobalResponseReferencePoint(false);
WadamRun1.sumFrequencyResults(false);
WadamRun1.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun1.setIntegrationType(WadamRunOneNodeGauss);
WadamRun1.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun1.useWadamMassCalculation(false);
WadamRun1.removeIrrFrequencies(false);
WadamRun1.saveTempWamitFiles(false);
WadamRun1.stopBeforePotenExecution(false);
WadamRun1.bypassPotenExecution(false);
WadamRun1.stopBeforeFirstForceExecution(false);
WadamRun1.bypassFirstForceExecution(false);
WadamRun1.stopBeforeSecondForceExecution(false);
WadamRun1.bypassSecondForceExecution(false);
WadamRun1.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun1.specifyOutputDirectory(false,false);
WadamRun1.setOutputDirectory("");
WadamRun1.setOutputPrefix("");
WadamRun1.moveResultFiles(false);
WadamRun1.useRunNameAsPrefix(false);
// End Output Directory **********
WadamWizard1.addEditObject(WadamRun1);
StabilityAnalysis1 = HydroStaticAnalysis(LoadingCondition1,Location1,Vector3d(1,0,0),false);
StabilityAnalysis1.cutOffType = NoCutOff;
StabilityAnalysis1.intervalStartAngle = 0 deg;
StabilityAnalysis1.intervalEndAngle = 40 deg;
StabilityAnalysis1.angleStep = 1 deg;
StructureModel1 = StructureModel(HydroModel1,ElementEnumsFEMFile,"C:/DNVGL/Workspaces/GeniE/concept_31.03/concept_31.03T1.FEM",false);
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1.removeIrrFrequencies(true);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1.setIntegrationType(WadamRunFourNodeGauss);
WadamRun1.setPanelDimensionType(WadamRunAreaPanelDimension);
WadamRun1.removeIrrFrequencies(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
WadamRun1_1 = WadamRun1.copy();
remapRelations();
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1_1.setSingularityType(WadamRunNumericalSingularity);
WadamRun1_1.setIntegrationType(WadamRunOneNodeGauss);
WadamRun1_1.setPanelDimensionType(WadamRunAreaPanelDimension);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1_1.setIntegrationType(WadamRunFourNodeGauss);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1_1.setIntegrationType(WadamRunOneNodeGauss);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
WadamRun1_1_1 = WadamRun1_1.copy();
remapRelations();
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1_1_1.setIntegrationType(WadamRunFourNodeGauss);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
WadamRun1_1_1_1 = WadamRun1_1_1.copy();
remapRelations();
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1_1_1_1.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun1_1_1_1.setIntegrationType(WadamRunOneNodeGauss);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1_1_1_1.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun1.setSolverType(WadamRunIterationSolver);
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun1.setSolverType(WadamRunDirectSolver);
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
WadamRun1_2 = WadamRun1.copy();
remapRelations();
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun1_2.setSolverType(WadamRunIterationSolver);
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
WadamRun1_1_2 = WadamRun1_1.copy();
remapRelations();
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun1_1_2.setSolverType(WadamRunIterationSolver);
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
WadamRun1_1_1_2 = WadamRun1_1_1.copy();
remapRelations();
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun1_1_1_2.setSolverType(WadamRunIterationSolver);
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
WadamRun1_1_1_1_1 = WadamRun1_1_1_1.copy();
remapRelations();
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun1_1_1_1_1.setSolverType(WadamRunIterationSolver);
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1.removeIrrFrequencies(true);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1_1.removeIrrFrequencies(true);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1_1_1.removeIrrFrequencies(true);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1_1_1_1.removeIrrFrequencies(true);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1_1_1_1_1.removeIrrFrequencies(true);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1_1_1_2.removeIrrFrequencies(true);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1_1_2.removeIrrFrequencies(true);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1_2.removeIrrFrequencies(true);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1_2.removeIrrFrequencies(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1_1.removeIrrFrequencies(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
StabilityAnalysis1.intervalEndAngle = 30 deg;
Delete(WadamRun1_1_1);
Delete(WadamRun1_1_1_1);
Delete(WadamRun1_1_1_1_1);
Delete(WadamRun1_1_1_2);
Delete(WadamRun1_1_2);
Delete(WadamRun1_2);
Delete(WadamRun1_1);
Delete(WadamRun1);
WadamRun1 = WadamRun();
// Start Input **********
WadamRun1.setHydroModel(HydroModel1);
WadamRun1.useMultiBody(false);
WadamRun1.setLoadingCondition(LoadingCondition1);
WadamRun1.setEnvironmentData(Condition1);
WadamRun1.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun1.dataCheck(false);
WadamRun1.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun1.setToleranceWaterLine(5);
WadamRun1.setToleranceCOG(5);
WadamRun1.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
WadamRun1.calculateDrift(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun1.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun1.setSolverType(WadamRunDirectSolver);
WadamRun1.setMaxMatrixDimension(5000);
   // End Equation Solver **********
   // Start Print **********
WadamRun1.setPrintType(WadamRunNormalPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun1.setResponseFileType(WadamRunSIFFormatted);
WadamRun1.calculateEigenvalues(true);
WadamRun1.defineGlobalResponseReferencePoint(false);
WadamRun1.sumFrequencyResults(false);
WadamRun1.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun1.setIntegrationType(WadamRunOneNodeGauss);
WadamRun1.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun1.useWadamMassCalculation(false);
WadamRun1.removeIrrFrequencies(false);
WadamRun1.saveTempWamitFiles(false);
WadamRun1.stopBeforePotenExecution(false);
WadamRun1.bypassPotenExecution(false);
WadamRun1.stopBeforeFirstForceExecution(false);
WadamRun1.bypassFirstForceExecution(false);
WadamRun1.stopBeforeSecondForceExecution(false);
WadamRun1.bypassSecondForceExecution(false);
WadamRun1.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun1.specifyOutputDirectory(false,false);
WadamRun1.setOutputDirectory("");
WadamRun1.setOutputPrefix("");
WadamRun1.moveResultFiles(false);
WadamRun1.useRunNameAsPrefix(false);
// End Output Directory **********
FrequencySet2 = FrequencySet(WavePeriod(),Array(3 s,3.01 s,3.02 s,3.03 s,3.04 s,3.05 s,3.06 s,3.07 s,3.08 s,3.09 s,3.1 s,3.11 s,3.12 s,3.13 s,3.14 s,3.15 s,3.16 s,3.17 s,3.18 s,3.19 s,3.2 s,3.21 s,3.22 s,3.23 s,3.24 s,3.25 s,3.26 s,3.27 s,3.28 s,3.29 s,3.3 s,3.31 s,3.32 s,3.33 s,3.34 s,3.35 s,3.36 s,3.37 s,3.38 s,3.39 s,3.4 s));
FrequencySet3 = FrequencySet(WavePeriod(),Array(6.4 s,6.41 s,6.42 s,6.43 s,6.44 s,6.45 s,6.46 s,6.47 s,6.48 s,6.49 s,6.5 s,6.51 s,6.52 s,6.53 s,6.54 s,6.55 s,6.56 s,6.57 s,6.58 s,6.59 s,6.6 s,6.61 s,6.62 s,6.63 s,6.64 s,6.65 s,6.66 s,6.67 s,6.68 s,6.69 s,6.7 s));
Condition2 = FrequencyDomain(Location1);
Condition2.waterSurface().directionSet = DirectionSet1;
Condition2.waterSurface().frequencySet = FrequencySet2;
Condition2.waterSurface().waveAmplitude = 0.1m;
Condition3 = FrequencyDomain(Location1);
Condition3.waterSurface().directionSet = DirectionSet1;
Condition3.waterSurface().frequencySet = FrequencySet3;
Condition3.waterSurface().waveAmplitude = 0.1 m;
WadamRun2 = WadamRun();
// Start Input **********
WadamRun2.setHydroModel(HydroModel1);
WadamRun2.useMultiBody(false);
WadamRun2.setLoadingCondition(LoadingCondition1);
WadamRun2.setEnvironmentData(Condition2);
WadamRun2.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun2.dataCheck(false);
WadamRun2.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun2.setToleranceWaterLine(5);
WadamRun2.setToleranceCOG(5);
WadamRun2.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
WadamRun2.calculateDrift(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun2.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun2.setSolverType(WadamRunDirectSolver);
WadamRun2.setMaxMatrixDimension(5000);
   // End Equation Solver **********
   // Start Print **********
WadamRun2.setPrintType(WadamRunNormalPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun2.setResponseFileType(WadamRunSIFFormatted);
WadamRun2.calculateEigenvalues(true);
WadamRun2.defineGlobalResponseReferencePoint(false);
WadamRun2.sumFrequencyResults(false);
WadamRun2.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun2.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun2.setIntegrationType(WadamRunOneNodeGauss);
WadamRun2.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun2.useWadamMassCalculation(false);
WadamRun2.removeIrrFrequencies(false);
WadamRun2.saveTempWamitFiles(false);
WadamRun2.stopBeforePotenExecution(false);
WadamRun2.bypassPotenExecution(false);
WadamRun2.stopBeforeFirstForceExecution(false);
WadamRun2.bypassFirstForceExecution(false);
WadamRun2.stopBeforeSecondForceExecution(false);
WadamRun2.bypassSecondForceExecution(false);
WadamRun2.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun2.specifyOutputDirectory(false,false);
WadamRun2.setOutputDirectory("");
WadamRun2.setOutputPrefix("");
WadamRun2.moveResultFiles(false);
WadamRun2.useRunNameAsPrefix(false);
// End Output Directory **********
WadamRun3 = WadamRun();
// Start Input **********
WadamRun3.setHydroModel(HydroModel1);
WadamRun3.useMultiBody(false);
WadamRun3.setLoadingCondition(LoadingCondition1);
WadamRun3.setEnvironmentData(Condition3);
WadamRun3.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun3.dataCheck(false);
WadamRun3.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun3.setToleranceWaterLine(5);
WadamRun3.setToleranceCOG(5);
WadamRun3.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
WadamRun3.calculateDrift(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun3.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun3.setSolverType(WadamRunDirectSolver);
WadamRun3.setMaxMatrixDimension(5000);
   // End Equation Solver **********
   // Start Print **********
WadamRun3.setPrintType(WadamRunNormalPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun3.setResponseFileType(WadamRunSIFFormatted);
WadamRun3.calculateEigenvalues(true);
WadamRun3.defineGlobalResponseReferencePoint(false);
WadamRun3.sumFrequencyResults(false);
WadamRun3.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun3.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun3.setIntegrationType(WadamRunOneNodeGauss);
WadamRun3.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun3.useWadamMassCalculation(false);
WadamRun3.removeIrrFrequencies(false);
WadamRun3.saveTempWamitFiles(false);
WadamRun3.stopBeforePotenExecution(false);
WadamRun3.bypassPotenExecution(false);
WadamRun3.stopBeforeFirstForceExecution(false);
WadamRun3.bypassFirstForceExecution(false);
WadamRun3.stopBeforeSecondForceExecution(false);
WadamRun3.bypassSecondForceExecution(false);
WadamRun3.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun3.specifyOutputDirectory(false,false);
WadamRun3.setOutputDirectory("");
WadamRun3.setOutputPrefix("");
WadamRun3.moveResultFiles(false);
WadamRun3.useRunNameAsPrefix(false);
// End Output Directory **********
// HydroD V4.7-01 ended 06-Apr-2016 13:30:09
// HydroD V4.7-01 started 19-Apr-2016 08:59:29
FrequencySet4 = FrequencySet(WavePeriod(),Array(40 s,41 s,42 s,43 s,44 s,45 s,46 s,47 s,48 s,49 s,50 s,51 s,52 s,53 s,54 s,55 s,56 s,57 s,58 s,59 s,60 s,61 s,62 s,63 s,64 s,65 s,66 s,67 s,68 s,69 s,70 s,71 s,72 s,73 s,74 s,75 s,76 s,77 s,78 s,79 s,80 s));
Condition4 = FrequencyDomain(Location1);
Condition4.waterSurface().directionSet = DirectionSet1;
Condition4.waterSurface().frequencySet = FrequencySet4;
Condition4.waterSurface().waveAmplitude = 0.1m;
WadamRun4 = WadamRun();
// Start Input **********
WadamRun4.setHydroModel(HydroModel1);
WadamRun4.useMultiBody(false);
WadamRun4.setLoadingCondition(LoadingCondition1);
WadamRun4.setEnvironmentData(Condition4);
WadamRun4.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun4.dataCheck(false);
WadamRun4.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun4.setToleranceWaterLine(5);
WadamRun4.setToleranceCOG(5);
WadamRun4.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
WadamRun4.calculateDrift(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun4.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun4.setSolverType(WadamRunDirectSolver);
WadamRun4.setMaxMatrixDimension(5000);
   // End Equation Solver **********
   // Start Print **********
WadamRun4.setPrintType(WadamRunNormalPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun4.setResponseFileType(WadamRunSIFFormatted);
WadamRun4.calculateEigenvalues(true);
WadamRun4.defineGlobalResponseReferencePoint(false);
WadamRun4.sumFrequencyResults(false);
WadamRun4.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun4.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun4.setIntegrationType(WadamRunOneNodeGauss);
WadamRun4.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun4.useWadamMassCalculation(false);
WadamRun4.removeIrrFrequencies(false);
WadamRun4.saveTempWamitFiles(false);
WadamRun4.stopBeforePotenExecution(false);
WadamRun4.bypassPotenExecution(false);
WadamRun4.stopBeforeFirstForceExecution(false);
WadamRun4.bypassFirstForceExecution(false);
WadamRun4.stopBeforeSecondForceExecution(false);
WadamRun4.bypassSecondForceExecution(false);
WadamRun4.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun4.specifyOutputDirectory(false,false);
WadamRun4.setOutputDirectory("");
WadamRun4.setOutputPrefix("");
WadamRun4.moveResultFiles(false);
WadamRun4.useRunNameAsPrefix(false);
// End Output Directory **********
// HydroD V4.7-01 ended 19-Apr-2016 10:06:32
// HydroD V4.7-01 started 20-Jun-2016 09:08:17
DirectionSet2 = DirectionSet(Array(0 deg,15 deg,30 deg,45 deg,60 deg,75 deg,90 deg,105 deg,120 deg,135 deg,150 deg,165 deg,180 deg,195 deg,210 deg,225 deg,240 deg,255 deg,270 deg,285 deg,300 deg,315 deg,330 deg,345 deg,360 deg));
FrequencySet5 = FrequencySet(WavePeriod(),Array(5 s,5.3 s,5.6 s,5.9 s,6.2 s,6.5 s,6.8 s,7.1 s,7.4 s,7.7 s,8 s,8.3 s,8.6 s,8.9 s,9.2 s,9.5 s,9.8 s,10.1 s,10.4 s,10.7 s,11 s,11.3 s,11.6 s,11.9 s,12.2 s,12.5 s,12.8 s,13.1 s,13.4 s,13.7 s,14 s,14.3 s,14.6 s,14.9 s,15.2 s,15.5 s,15.8 s,16.1 s,16.4 s,16.7 s,17 s,17.3 s,17.6 s,17.9 s,18.2 s,18.5 s,18.8 s,19.1 s,19.4 s,19.7 s,20 s));
Condition5 = FrequencyDomain(Location1);
Condition5.waterSurface().directionSet = DirectionSet2;
Condition5.waterSurface().frequencySet = FrequencySet5;
Condition5.waterSurface().waveAmplitude = 0.1m;
WadamRun5 = WadamRun();
// Start Input **********
WadamRun5.setHydroModel(HydroModel1);
WadamRun5.useMultiBody(false);
WadamRun5.setLoadingCondition(LoadingCondition1);
WadamRun5.setEnvironmentData(Condition5);
WadamRun5.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun5.dataCheck(false);
WadamRun5.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun5.setToleranceWaterLine(5);
WadamRun5.setToleranceCOG(5);
WadamRun5.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
WadamRun5.calculateDrift(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun5.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun5.setSolverType(WadamRunDirectSolver);
WadamRun5.setMaxMatrixDimension(5000);
   // End Equation Solver **********
   // Start Print **********
WadamRun5.setPrintType(WadamRunMaxPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun5.setResponseFileType(WadamRunSIFFormatted);
WadamRun5.calculateEigenvalues(true);
WadamRun5.defineGlobalResponseReferencePoint(false);
WadamRun5.sumFrequencyResults(false);
WadamRun5.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun5.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun5.setIntegrationType(WadamRunOneNodeGauss);
WadamRun5.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun5.useWadamMassCalculation(false);
WadamRun5.removeIrrFrequencies(false);
WadamRun5.saveTempWamitFiles(true);
WadamRun5.stopBeforePotenExecution(false);
WadamRun5.bypassPotenExecution(false);
WadamRun5.stopBeforeFirstForceExecution(false);
WadamRun5.bypassFirstForceExecution(false);
WadamRun5.stopBeforeSecondForceExecution(false);
WadamRun5.bypassSecondForceExecution(false);
WadamRun5.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun5.specifyOutputDirectory(false,false);
WadamRun5.setOutputDirectory("");
WadamRun5.setOutputPrefix("");
WadamRun5.moveResultFiles(false);
WadamRun5.useRunNameAsPrefix(false);
// End Output Directory **********
Rename(WadamRun5,"wadam_lpt_run1");
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// HydroD V4.7-01 ended 20-Jun-2016 10:25:53
// HydroD V4.7-01 started 20-Jun-2016 10:25:53
// HydroD V4.7-01 ended 20-Jun-2016 10:25:56
// HydroD V4.7-01 started 24-Jun-2016 15:52:28
FrequencySet6 = FrequencySet(WavePeriod(),Array(2 s,3 s,4 s,5 s,6 s,7 s,8 s,9 s,10 s,11 s,12 s,13 s,14 s,15 s,16 s,17 s,18 s,19 s,20 s,21 s,22 s,23 s,24 s,25 s,26 s,27 s,28 s,29 s,30 s));
Condition6 = FrequencyDomain(Location1);
Condition6.waterSurface().directionSet = DirectionSet1;
Condition6.waterSurface().frequencySet = FrequencySet6;
Condition6.waterSurface().waveAmplitude = 0.1m;
wadam_input_3dfloat = WadamRun();
// Start Input **********
wadam_input_3dfloat.setHydroModel(HydroModel1);
wadam_input_3dfloat.useMultiBody(false);
wadam_input_3dfloat.setLoadingCondition(LoadingCondition1);
wadam_input_3dfloat.setEnvironmentData(Condition6);
wadam_input_3dfloat.useSeaState(false);
// End Input **********
// Start Execution Directives **********
wadam_input_3dfloat.dataCheck(false);
wadam_input_3dfloat.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
wadam_input_3dfloat.setToleranceWaterLine(5);
wadam_input_3dfloat.setToleranceCOG(5);
wadam_input_3dfloat.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
wadam_input_3dfloat.calculateDrift(false);
   // End Drift Forces **********
   // Start Roll Damping **********
wadam_input_3dfloat.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
wadam_input_3dfloat.setSolverType(WadamRunDirectSolver);
wadam_input_3dfloat.setMaxMatrixDimension(5000);
   // End Equation Solver **********
   // Start Print **********
wadam_input_3dfloat.setPrintType(WadamRunNormalPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
wadam_input_3dfloat.setResponseFileType(WadamRunSIFFormatted);
wadam_input_3dfloat.calculateEigenvalues(true);
wadam_input_3dfloat.defineGlobalResponseReferencePoint(false);
wadam_input_3dfloat.sumFrequencyResults(false);
wadam_input_3dfloat.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
wadam_input_3dfloat.setSingularityType(WadamRunAnalyticalSingularity);
wadam_input_3dfloat.setIntegrationType(WadamRunOneNodeGauss);
wadam_input_3dfloat.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
wadam_input_3dfloat.useWadamMassCalculation(false);
wadam_input_3dfloat.removeIrrFrequencies(false);
wadam_input_3dfloat.saveTempWamitFiles(false);
wadam_input_3dfloat.stopBeforePotenExecution(false);
wadam_input_3dfloat.bypassPotenExecution(false);
wadam_input_3dfloat.stopBeforeFirstForceExecution(false);
wadam_input_3dfloat.bypassFirstForceExecution(false);
wadam_input_3dfloat.stopBeforeSecondForceExecution(false);
wadam_input_3dfloat.bypassSecondForceExecution(false);
wadam_input_3dfloat.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
wadam_input_3dfloat.specifyOutputDirectory(false,false);
wadam_input_3dfloat.setOutputDirectory("");
wadam_input_3dfloat.setOutputPrefix("");
wadam_input_3dfloat.moveResultFiles(false);
wadam_input_3dfloat.useRunNameAsPrefix(false);
// End Output Directory **********
// HydroD V4.7-01 ended 24-Jun-2016 16:22:18
// HydroD V4.7-01 started 24-Jun-2016 16:22:18
// HydroD V4.7-01 ended 24-Jun-2016 16:22:21
// HydroD V4.7-01 started 24-Jun-2016 16:46:30
// HydroD V4.7-01 ended 24-Jun-2016 17:02:03
// HydroD V4.7-01 started 12-Sep-2016 09:11:18
FrequencySet7 = FrequencySet(WavePeriod(),Array(0.01 s,0.02 s,0.03 s,0.04 s,0.05 s));
Condition7 = FrequencyDomain(Location1);
Condition7.waterSurface().directionSet = DirectionSet1;
Condition7.waterSurface().frequencySet = FrequencySet7;
Condition7.waterSurface().waveAmplitude = 0.1m;
WadamRun5 = WadamRun();
// Start Input **********
WadamRun5.setHydroModel(HydroModel1);
WadamRun5.useMultiBody(false);
WadamRun5.setLoadingCondition(LoadingCondition1);
WadamRun5.setEnvironmentData(Condition7);
WadamRun5.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun5.dataCheck(false);
WadamRun5.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun5.setToleranceWaterLine(5);
WadamRun5.setToleranceCOG(5);
WadamRun5.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
WadamRun5.calculateDrift(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun5.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun5.setSolverType(WadamRunDirectSolver);
WadamRun5.setMaxMatrixDimension(5000);
   // End Equation Solver **********
   // Start Print **********
WadamRun5.setPrintType(WadamRunNormalPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun5.setResponseFileType(WadamRunSIFFormatted);
WadamRun5.calculateEigenvalues(true);
WadamRun5.defineGlobalResponseReferencePoint(false);
WadamRun5.sumFrequencyResults(false);
WadamRun5.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun5.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun5.setIntegrationType(WadamRunOneNodeGauss);
WadamRun5.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun5.useWadamMassCalculation(false);
WadamRun5.removeIrrFrequencies(false);
WadamRun5.saveTempWamitFiles(false);
WadamRun5.stopBeforePotenExecution(false);
WadamRun5.bypassPotenExecution(false);
WadamRun5.stopBeforeFirstForceExecution(false);
WadamRun5.bypassFirstForceExecution(false);
WadamRun5.stopBeforeSecondForceExecution(false);
WadamRun5.bypassSecondForceExecution(false);
WadamRun5.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun5.specifyOutputDirectory(false,false);
WadamRun5.setOutputDirectory("");
WadamRun5.setOutputPrefix("");
WadamRun5.moveResultFiles(false);
WadamRun5.useRunNameAsPrefix(false);
// End Output Directory **********
FrequencySet7.clear();
FrequencySet7.addPeriod(0.05 s);
FrequencySet7.addPeriod(0.06);
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
Location1.setDepth(70 m);
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
FrequencySet7.clear();
FrequencySet7.addPeriod(0.08);
FrequencySet7.addPeriod(0.09);
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// HydroD V4.7-01 ended 12-Sep-2016 19:33:18
