// HydroD V4.7-01 started 03-Oct-2016 13:17:27
// HydroD V4.7-01 ended 03-Oct-2016 13:17:27
// HydroD V4.7-01 started 03-Oct-2016 13:17:27
WadamWizard1 = WadamWizard();
WadamWizard1.setModelConfiguration(WadamWorkflowPanelModel);
WadamWizard1.setPanelModelConfiguration(WadamWorkflowElementPanelModel);
WadamWizard1.timeDomain(false);
WadamWizard1.loadCrossection = true;
WadamWizard1.loadTransfer = true;
WadamWizard1.tankPressure = false;
WadamWizard1.offbodyPoints = true;
WadamWizard1.rollDamping = true;
WadamWizard1.stochasticRollDamping = false;
WadamWizard1.pressurePanels = true;
WadamWizard1.secondOrder = false;
WadamWizard1.dampingMatrix = false;
WadamWizard1.criticalDamping = false;
WadamWizard1.restoringMatrix = false;
DirectionSet1 = DirectionSet(Array(0 deg,15 deg,30 deg,45 deg,60 deg,75 deg,90 deg,105 deg,120 deg,135 deg,150 deg,165 deg,180 deg,195 deg,210 deg,225 deg,240 deg,255 deg,270 deg,285 deg,300 deg,315 deg,330 deg,345 deg));
WadamWizard1.addEditObject(DirectionSet1);
DirectionSet1.removeAll();
DirectionSet1.add(0 deg);
DirectionSet1.add(15 deg);
DirectionSet1.add(30 deg);
DirectionSet1.add(45 deg);
DirectionSet1.add(60 deg);
DirectionSet1.add(75 deg);
DirectionSet1.add(90 deg);
DirectionSet1.add(105 deg);
DirectionSet1.add(120 deg);
DirectionSet1.add(135 deg);
DirectionSet1.add(150 deg);
DirectionSet1.add(165 deg);
DirectionSet1.add(180 deg);
DirectionSet1.add(195 deg);
DirectionSet1.add(210 deg);
DirectionSet1.add(225 deg);
DirectionSet1.add(240 deg);
DirectionSet1.add(255 deg);
DirectionSet1.add(270 deg);
DirectionSet1.add(285 deg);
DirectionSet1.add(300 deg);
DirectionSet1.add(315 deg);
DirectionSet1.add(330 deg);
DirectionSet1.add(345 deg);
DirectionSet1.add(360);
FrequencySet1 = FrequencySet(WavePeriod(),Array(1 s,1.1 s,1.2 s,1.3 s,1.4 s,1.5 s,1.6 s,1.7 s,1.8 s,1.9 s,2 s,2.1 s,2.2 s,2.3 s,2.4 s,2.5 s,2.6 s,2.7 s,2.8 s,2.9 s,3 s,3.1 s,3.2 s,3.3 s,3.4 s,3.5 s,3.6 s,3.7 s,3.8 s,3.9 s,4 s,4.1 s,4.2 s,4.3 s,4.4 s,4.5 s,4.6 s,4.7 s,4.8 s,4.9 s,5 s,5.1 s,5.2 s,5.3 s,5.4 s,5.5 s,5.6 s,5.7 s,5.8 s,5.9 s,6 s,6.1 s,6.2 s,6.3 s,6.4 s,6.5 s,6.6 s,6.7 s,6.8 s,6.9 s));
WadamWizard1.addEditObject(FrequencySet1);
Location1 = Location();
Location1.gravity = 9.80665 m/s^2;
Location1.air.density = 1.226 Kg/m^3;
Location1.air.kinematicViscosity = 1.462e-005 m^2/s;
Location1.water.density = 1025 Kg/m^3;
Location1.water.kinematicViscosity = 1.19e-006 m^2/s;
Location1.setDepth(300m);
WadamWizard1.addEditObject(Location1);
Condition1 = FrequencyDomain(Location1);
Condition1.waterSurface().directionSet = DirectionSet1;
Condition1.waterSurface().frequencySet = FrequencySet1;
Condition1.waterSurface().waveAmplitude = 0.1m;
WadamWizard1.addEditObject(Condition1);
HydroModel1 = HydroModel(HydroModelFloating);
HydroModel1.setColumnStabilized(false);
HydroModel1.setBoundaryType(HydroModelFloating);
HydroModel1.setColumnStabilized(false);
WadamWizard1.addEditObject(HydroModel1);
HydroModel1.setActiveFolder();
PanelModel1 = PanelModel(HydroModel1,ElementEnumsFEMFile,"C:/DNVGL/Workspaces/GeniE/structure_with_plates/structure_with_platesT1.FEM",false,false);
WadamWizard1.addEditObject(PanelModel1);
StructureModel1 = StructureModel(HydroModel1,ElementEnumsFEMFile,"C:/DNVGL/Workspaces/GeniE/structure_with_plates/structure_with_platesT1.FEM",false);
WadamWizard1.addEditObject(StructureModel1);
LoadingCondition1 = LoadingCondition(HydroModel1,0 m,0 deg,0 deg);
LoadingCondition1.setLoadingCondition(0 m,0 deg,0 deg);
WadamWizard1.addEditObject(LoadingCondition1);
MassModel1 = MassModel(LoadingCondition1,ElementEnumsFEMFile,"C:/DNVGL/Workspaces/GeniE/structure_with_plates/structure_with_platesT1.FEM");
MassModel1.addTankMass(true);
MassModel1.internalDynamics(false);
LoadingCondition1.computeCompartmentPoints();
MassModel1.updateStiffnessWithFreeSurfaceEffect(true);
WadamWizard1.addEditObject(MassModel1);
WadamRun1 = WadamRun();
// Start Input **********
WadamRun1.setHydroModel(HydroModel1);
WadamRun1.useMultiBody(false);
WadamRun1.setLoadingCondition(LoadingCondition1);
WadamRun1.setEnvironmentData(Condition1);
WadamRun1.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun1.dataCheck(false);
WadamRun1.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun1.setToleranceWaterLine(5);
WadamRun1.setToleranceCOG(5);
WadamRun1.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
WadamRun1.calculateDrift(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun1.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun1.setSolverType(WadamRunDirectSolver);
WadamRun1.setMaxMatrixDimension(5000);
   // End Equation Solver **********
   // Start Print **********
WadamRun1.setPrintType(WadamRunMaxPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun1.setResponseFileType(WadamRunSIFFormatted);
WadamRun1.calculateEigenvalues(true);
WadamRun1.defineGlobalResponseReferencePoint(false);
WadamRun1.sumFrequencyResults(false);
WadamRun1.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun1.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun1.setIntegrationType(WadamRunOneNodeGauss);
WadamRun1.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun1.useWadamMassCalculation(false);
WadamRun1.removeIrrFrequencies(false);
WadamRun1.saveTempWamitFiles(true);
WadamRun1.stopBeforePotenExecution(false);
WadamRun1.bypassPotenExecution(false);
WadamRun1.stopBeforeFirstForceExecution(false);
WadamRun1.bypassFirstForceExecution(false);
WadamRun1.stopBeforeSecondForceExecution(false);
WadamRun1.bypassSecondForceExecution(false);
WadamRun1.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun1.specifyOutputDirectory(false,false);
WadamRun1.setOutputDirectory("");
WadamRun1.setOutputPrefix("");
WadamRun1.moveResultFiles(false);
WadamRun1.useRunNameAsPrefix(false);
// End Output Directory **********
WadamWizard1.addEditObject(WadamRun1);
Delete(StructureModel1);
StructureModel1 = StructureModel(HydroModel1,ElementEnumsFEMFile,"C:/DNVGL/Workspaces/GeniE/structure_with_plates/structure_with_platesT1.FEM",false);
StabilityAnalysis1 = HydroStaticAnalysis(LoadingCondition1,Location1,Vector3d(0.005235963831 m,0.9999862922 m,0 m),false);
StabilityAnalysis1.cutOffType = NoCutOff;
StabilityAnalysis1.intervalStartAngle = -180 deg;
StabilityAnalysis1.intervalEndAngle = 180 deg;
StabilityAnalysis1.angleStep = 1 deg;
Delete(HydroModel1);
HydroModel1 = HydroModel(HydroModelFloating);
HydroModel1.setColumnStabilized(false);
HydroModel1.setBoundaryType(HydroModelFloating);
HydroModel1.setColumnStabilized(false);
HydroModel1.setActiveFolder();
PanelModel1 = PanelModel(HydroModel1,ElementEnumsFEMFile,"C:/DNVGL/Workspaces/GeniE/structure_with_plates/structure_with_platesT1.FEM",false,false);
StructureModel1 = StructureModel(HydroModel1,ElementEnumsFEMFile,"C:/DNVGL/Workspaces/GeniE/structure_with_plates/structure_with_platesT1.FEM",false);
LoadingCondition1 = LoadingCondition(HydroModel1,0 m,0 deg,0 deg);
LoadingCondition1.setLoadingCondition(0 m,0 deg,0 deg);
MassModel1 = MassModel(LoadingCondition1,ElementEnumsFEMFile,"C:/DNVGL/Workspaces/GeniE/structure_with_plates/structure_with_platesT1.FEM");
MassModel1.addTankMass(true);
MassModel1.internalDynamics(false);
LoadingCondition1.computeCompartmentPoints();
MassModel1.updateStiffnessWithFreeSurfaceEffect(true);
Delete(StabilityAnalysis1);
StabilityAnalysis1 = HydroStaticAnalysis(LoadingCondition1,Location1,Vector3d(1 m,0 m,0 m),false);
StabilityAnalysis1.cutOffType = NoCutOff;
StabilityAnalysis1.intervalStartAngle = -180 deg;
StabilityAnalysis1.intervalEndAngle = 180 deg;
StabilityAnalysis1.angleStep = 1 deg;
// Start Input **********
WadamRun1.setHydroModel(HydroModel1);
WadamRun1.setLoadingCondition(LoadingCondition1);
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
FrequencySet2 = FrequencySet(WavePeriod(),Array(7 s,7.1 s,7.2 s,7.3 s,7.4 s,7.5 s,7.6 s,7.7 s,7.8 s,7.9 s,8 s,8.1 s,8.2 s,8.3 s,8.4 s,8.5 s,8.6 s,8.7 s,8.8 s,8.9 s,9 s,9.1 s,9.2 s,9.3 s,9.4 s,9.5 s,9.6 s,9.7 s,9.8 s,9.9 s,10 s,10.1 s,10.2 s,10.3 s,10.4 s,10.5 s,10.6 s,10.7 s,10.8 s,10.9 s,11 s,11.1 s,11.2 s,11.3 s,11.4 s,11.5 s,11.6 s,11.7 s,11.8 s,11.9 s,12 s,12.1 s,12.2 s,12.3 s,12.4 s,12.5 s,12.6 s,12.7 s,12.8 s,12.9 s));
Condition2 = FrequencyDomain(Location1);
Condition2.waterSurface().directionSet = DirectionSet1;
Condition2.waterSurface().frequencySet = FrequencySet2;
Condition2.waterSurface().waveAmplitude = 0.1m;
FrequencySet3 = FrequencySet(WavePeriod(),Array(13 s,13.1 s,13.2 s,13.3 s,13.4 s,13.5 s,13.6 s,13.7 s,13.8 s,13.9 s,14 s,14.1 s,14.2 s,14.3 s,14.4 s,14.5 s,14.6 s,14.7 s,14.8 s,14.9 s,15 s,15.1 s,15.2 s,15.3 s,15.4 s,15.5 s,15.6 s,15.7 s,15.8 s,15.9 s,16 s,16.1 s,16.2 s,16.3 s,16.4 s,16.5 s,16.6 s,16.7 s,16.8 s,16.9 s,17 s,17.1 s,17.2 s,17.3 s,17.4 s,17.5 s,17.6 s,17.7 s,17.8 s,17.9 s,18 s,18.1 s,18.2 s,18.3 s,18.4 s,18.5 s,18.6 s,18.7 s,18.8 s,18.9 s));
FrequencySet4 = FrequencySet(WavePeriod(),Array(19 s,19.1 s,19.2 s,19.3 s,19.4 s,19.5 s,19.6 s,19.7 s,19.8 s,19.9 s,20 s,20.1 s,20.2 s,20.3 s,20.4 s,20.5 s,20.6 s,20.7 s,20.8 s,20.9 s,21 s,21.1 s,21.2 s,21.3 s,21.4 s,21.5 s,21.6 s,21.7 s,21.8 s,21.9 s,22 s,22.1 s,22.2 s,22.3 s,22.4 s,22.5 s,22.6 s,22.7 s,22.8 s,22.9 s,23 s,23.1 s,23.2 s,23.3 s,23.4 s,23.5 s,23.6 s,23.7 s,23.8 s,23.9 s,24 s,24.1 s,24.2 s,24.3 s,24.4 s,24.5 s,24.6 s,24.7 s,24.8 s,24.9 s));
FrequencySet5 = FrequencySet(WavePeriod(),Array(25 s,25.1 s,25.2 s,25.3 s,25.4 s,25.5 s,25.6 s,25.7 s,25.8 s,25.9 s,26 s,26.1 s,26.2 s,26.3 s,26.4 s,26.5 s,26.6 s,26.7 s,26.8 s,26.9 s,27 s,27.1 s,27.2 s,27.3 s,27.4 s,27.5 s,27.6 s,27.7 s,27.8 s,27.9 s,28 s,28.1 s,28.2 s,28.3 s,28.4 s,28.5 s,28.6 s,28.7 s,28.8 s,28.9 s,29 s,29.1 s,29.2 s,29.3 s,29.4 s,29.5 s,29.6 s,29.7 s,29.8 s,29.9 s,30 s,30.1 s,30.2 s,30.3 s,30.4 s,30.5 s,30.6 s,30.7 s,30.8 s,30.9 s));
FrequencySet6 = FrequencySet(WavePeriod(),Array(31 s,31.1 s,31.2 s,31.3 s,31.4 s,31.5 s,31.6 s,31.7 s,31.8 s,31.9 s,32 s,32.1 s,32.2 s,32.3 s,32.4 s,32.5 s,32.6 s,32.7 s,32.8 s,32.9 s,33 s,33.1 s,33.2 s,33.3 s,33.4 s,33.5 s,33.6 s,33.7 s,33.8 s,33.9 s,34 s,34.1 s,34.2 s,34.3 s,34.4 s,34.5 s,34.6 s,34.7 s,34.8 s,34.9 s,35 s,35.1 s,35.2 s,35.3 s,35.4 s,35.5 s,35.6 s,35.7 s,35.8 s,35.9 s,36 s,36.1 s,36.2 s,36.3 s,36.4 s,36.5 s,36.6 s,36.7 s,36.8 s,36.9 s));
FrequencySet7 = FrequencySet(WavePeriod(),Array(37 s,37.1 s,37.2 s,37.3 s,37.4 s,37.5 s,37.6 s,37.7 s,37.8 s,37.9 s,38 s,38.1 s,38.2 s,38.3 s,38.4 s,38.5 s,38.6 s,38.7 s,38.8 s,38.9 s,39 s,39.1 s,39.2 s,39.3 s,39.4 s,39.5 s,39.6 s,39.7 s,39.8 s,39.9 s,40 s));
Condition3 = FrequencyDomain(Location1);
Condition3.waterSurface().directionSet = DirectionSet1;
Condition3.waterSurface().frequencySet = FrequencySet3;
Condition3.waterSurface().waveAmplitude = 0.1m;
Condition4 = FrequencyDomain(Location1);
Condition4.waterSurface().directionSet = DirectionSet1;
Condition4.waterSurface().frequencySet = FrequencySet4;
Condition4.waterSurface().waveAmplitude = 0.1m;
Condition5 = FrequencyDomain(Location1);
Condition5.waterSurface().directionSet = DirectionSet1;
Condition5.waterSurface().frequencySet = FrequencySet5;
Condition5.waterSurface().waveAmplitude = 0.1m;
Condition6 = FrequencyDomain(Location1);
Condition6.waterSurface().directionSet = DirectionSet1;
Condition6.waterSurface().frequencySet = FrequencySet6;
Condition6.waterSurface().waveAmplitude = 0.1m;
Condition7 = FrequencyDomain(Location1);
Condition7.waterSurface().directionSet = DirectionSet1;
Condition7.waterSurface().frequencySet = FrequencySet7;
Condition7.waterSurface().waveAmplitude = 0.1m;
WadamRun2 = WadamRun();
// Start Input **********
WadamRun2.setHydroModel(HydroModel1);
WadamRun2.useMultiBody(false);
WadamRun2.setLoadingCondition(LoadingCondition1);
WadamRun2.setEnvironmentData(Condition2);
WadamRun2.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun2.dataCheck(false);
WadamRun2.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun2.setToleranceWaterLine(5);
WadamRun2.setToleranceCOG(5);
WadamRun2.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
WadamRun2.calculateDrift(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun2.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun2.setSolverType(WadamRunDirectSolver);
WadamRun2.setMaxMatrixDimension(5000);
   // End Equation Solver **********
   // Start Print **********
WadamRun2.setPrintType(WadamRunMaxPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun2.setResponseFileType(WadamRunSIFFormatted);
WadamRun2.calculateEigenvalues(true);
WadamRun2.defineGlobalResponseReferencePoint(false);
WadamRun2.sumFrequencyResults(false);
WadamRun2.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun2.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun2.setIntegrationType(WadamRunOneNodeGauss);
WadamRun2.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun2.useWadamMassCalculation(false);
WadamRun2.removeIrrFrequencies(false);
WadamRun2.saveTempWamitFiles(true);
WadamRun2.stopBeforePotenExecution(false);
WadamRun2.bypassPotenExecution(false);
WadamRun2.stopBeforeFirstForceExecution(false);
WadamRun2.bypassFirstForceExecution(false);
WadamRun2.stopBeforeSecondForceExecution(false);
WadamRun2.bypassSecondForceExecution(false);
WadamRun2.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun2.specifyOutputDirectory(false,false);
WadamRun2.setOutputDirectory("");
WadamRun2.setOutputPrefix("");
WadamRun2.moveResultFiles(false);
WadamRun2.useRunNameAsPrefix(false);
// End Output Directory **********
WadamRun3 = WadamRun();
// Start Input **********
WadamRun3.setHydroModel(HydroModel1);
WadamRun3.useMultiBody(false);
WadamRun3.setLoadingCondition(LoadingCondition1);
WadamRun3.setEnvironmentData(Condition3);
WadamRun3.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun3.dataCheck(false);
WadamRun3.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun3.setToleranceWaterLine(5);
WadamRun3.setToleranceCOG(5);
WadamRun3.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
WadamRun3.calculateDrift(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun3.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun3.setSolverType(WadamRunDirectSolver);
WadamRun3.setMaxMatrixDimension(5000);
   // End Equation Solver **********
   // Start Print **********
WadamRun3.setPrintType(WadamRunMaxPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun3.setResponseFileType(WadamRunSIFFormatted);
WadamRun3.calculateEigenvalues(true);
WadamRun3.defineGlobalResponseReferencePoint(false);
WadamRun3.sumFrequencyResults(false);
WadamRun3.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun3.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun3.setIntegrationType(WadamRunOneNodeGauss);
WadamRun3.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun3.useWadamMassCalculation(false);
WadamRun3.removeIrrFrequencies(false);
WadamRun3.saveTempWamitFiles(true);
WadamRun3.stopBeforePotenExecution(false);
WadamRun3.bypassPotenExecution(false);
WadamRun3.stopBeforeFirstForceExecution(false);
WadamRun3.bypassFirstForceExecution(false);
WadamRun3.stopBeforeSecondForceExecution(false);
WadamRun3.bypassSecondForceExecution(false);
WadamRun3.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun3.specifyOutputDirectory(false,false);
WadamRun3.setOutputDirectory("");
WadamRun3.setOutputPrefix("");
WadamRun3.moveResultFiles(false);
WadamRun3.useRunNameAsPrefix(false);
// End Output Directory **********
WadamRun4 = WadamRun();
// Start Input **********
WadamRun4.setHydroModel(HydroModel1);
WadamRun4.useMultiBody(false);
WadamRun4.setLoadingCondition(LoadingCondition1);
WadamRun4.setEnvironmentData(Condition4);
WadamRun4.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun4.dataCheck(false);
WadamRun4.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun4.setToleranceWaterLine(5);
WadamRun4.setToleranceCOG(5);
WadamRun4.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
WadamRun4.calculateDrift(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun4.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun4.setSolverType(WadamRunDirectSolver);
WadamRun4.setMaxMatrixDimension(5000);
   // End Equation Solver **********
   // Start Print **********
WadamRun4.setPrintType(WadamRunMaxPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun4.setResponseFileType(WadamRunSIFFormatted);
WadamRun4.calculateEigenvalues(true);
WadamRun4.defineGlobalResponseReferencePoint(false);
WadamRun4.sumFrequencyResults(false);
WadamRun4.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun4.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun4.setIntegrationType(WadamRunOneNodeGauss);
WadamRun4.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun4.useWadamMassCalculation(false);
WadamRun4.removeIrrFrequencies(false);
WadamRun4.saveTempWamitFiles(true);
WadamRun4.stopBeforePotenExecution(false);
WadamRun4.bypassPotenExecution(false);
WadamRun4.stopBeforeFirstForceExecution(false);
WadamRun4.bypassFirstForceExecution(false);
WadamRun4.stopBeforeSecondForceExecution(false);
WadamRun4.bypassSecondForceExecution(false);
WadamRun4.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun4.specifyOutputDirectory(false,false);
WadamRun4.setOutputDirectory("");
WadamRun4.setOutputPrefix("");
WadamRun4.moveResultFiles(false);
WadamRun4.useRunNameAsPrefix(false);
// End Output Directory **********
WadamRun5 = WadamRun();
// Start Input **********
WadamRun5.setHydroModel(HydroModel1);
WadamRun5.useMultiBody(false);
WadamRun5.setLoadingCondition(LoadingCondition1);
WadamRun5.setEnvironmentData(Condition5);
WadamRun5.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun5.dataCheck(false);
WadamRun5.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun5.setToleranceWaterLine(5);
WadamRun5.setToleranceCOG(5);
WadamRun5.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
WadamRun5.calculateDrift(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun5.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun5.setSolverType(WadamRunDirectSolver);
WadamRun5.setMaxMatrixDimension(5000);
   // End Equation Solver **********
   // Start Print **********
WadamRun5.setPrintType(WadamRunMaxPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun5.setResponseFileType(WadamRunSIFFormatted);
WadamRun5.calculateEigenvalues(true);
WadamRun5.defineGlobalResponseReferencePoint(false);
WadamRun5.sumFrequencyResults(false);
WadamRun5.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun5.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun5.setIntegrationType(WadamRunOneNodeGauss);
WadamRun5.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun5.useWadamMassCalculation(false);
WadamRun5.removeIrrFrequencies(false);
WadamRun5.saveTempWamitFiles(true);
WadamRun5.stopBeforePotenExecution(false);
WadamRun5.bypassPotenExecution(false);
WadamRun5.stopBeforeFirstForceExecution(false);
WadamRun5.bypassFirstForceExecution(false);
WadamRun5.stopBeforeSecondForceExecution(false);
WadamRun5.bypassSecondForceExecution(false);
WadamRun5.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun5.specifyOutputDirectory(false,false);
WadamRun5.setOutputDirectory("");
WadamRun5.setOutputPrefix("");
WadamRun5.moveResultFiles(false);
WadamRun5.useRunNameAsPrefix(false);
// End Output Directory **********
WadamRun6 = WadamRun();
// Start Input **********
WadamRun6.setHydroModel(HydroModel1);
WadamRun6.useMultiBody(false);
WadamRun6.setLoadingCondition(LoadingCondition1);
WadamRun6.setEnvironmentData(Condition6);
WadamRun6.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun6.dataCheck(false);
WadamRun6.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun6.setToleranceWaterLine(5);
WadamRun6.setToleranceCOG(5);
WadamRun6.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
WadamRun6.calculateDrift(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun6.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun6.setSolverType(WadamRunDirectSolver);
WadamRun6.setMaxMatrixDimension(5000);
   // End Equation Solver **********
   // Start Print **********
WadamRun6.setPrintType(WadamRunMaxPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun6.setResponseFileType(WadamRunSIFFormatted);
WadamRun6.calculateEigenvalues(true);
WadamRun6.defineGlobalResponseReferencePoint(false);
WadamRun6.sumFrequencyResults(false);
WadamRun6.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun6.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun6.setIntegrationType(WadamRunOneNodeGauss);
WadamRun6.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun6.useWadamMassCalculation(false);
WadamRun6.removeIrrFrequencies(false);
WadamRun6.saveTempWamitFiles(true);
WadamRun6.stopBeforePotenExecution(false);
WadamRun6.bypassPotenExecution(false);
WadamRun6.stopBeforeFirstForceExecution(false);
WadamRun6.bypassFirstForceExecution(false);
WadamRun6.stopBeforeSecondForceExecution(false);
WadamRun6.bypassSecondForceExecution(false);
WadamRun6.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun6.specifyOutputDirectory(false,false);
WadamRun6.setOutputDirectory("");
WadamRun6.setOutputPrefix("");
WadamRun6.moveResultFiles(false);
WadamRun6.useRunNameAsPrefix(false);
// End Output Directory **********
WadamRun7 = WadamRun();
// Start Input **********
WadamRun7.setHydroModel(HydroModel1);
WadamRun7.useMultiBody(false);
WadamRun7.setLoadingCondition(LoadingCondition1);
WadamRun7.setEnvironmentData(Condition7);
WadamRun7.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun7.dataCheck(false);
WadamRun7.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun7.setToleranceWaterLine(5);
WadamRun7.setToleranceCOG(5);
WadamRun7.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
WadamRun7.calculateDrift(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun7.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun7.setSolverType(WadamRunDirectSolver);
WadamRun7.setMaxMatrixDimension(5000);
   // End Equation Solver **********
   // Start Print **********
WadamRun7.setPrintType(WadamRunMaxPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun7.setResponseFileType(WadamRunSIFFormatted);
WadamRun7.calculateEigenvalues(true);
WadamRun7.defineGlobalResponseReferencePoint(false);
WadamRun7.sumFrequencyResults(false);
WadamRun7.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun7.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun7.setIntegrationType(WadamRunOneNodeGauss);
WadamRun7.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun7.useWadamMassCalculation(false);
WadamRun7.removeIrrFrequencies(false);
WadamRun7.saveTempWamitFiles(true);
WadamRun7.stopBeforePotenExecution(false);
WadamRun7.bypassPotenExecution(false);
WadamRun7.stopBeforeFirstForceExecution(false);
WadamRun7.bypassFirstForceExecution(false);
WadamRun7.stopBeforeSecondForceExecution(false);
WadamRun7.bypassSecondForceExecution(false);
WadamRun7.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun7.specifyOutputDirectory(false,false);
WadamRun7.setOutputDirectory("");
WadamRun7.setOutputPrefix("");
WadamRun7.moveResultFiles(false);
WadamRun7.useRunNameAsPrefix(false);
// End Output Directory **********
FrequencySet8 = FrequencySet(WaveFrequency(),Array(100 rad/s,200 rad/s));
Condition8 = FrequencyDomain(Location1);
Condition8.waterSurface().directionSet = DirectionSet1;
Condition8.waterSurface().frequencySet = FrequencySet8;
Condition8.waterSurface().waveAmplitude = 0.1m;
WadamRun8 = WadamRun();
// Start Input **********
WadamRun8.setHydroModel(HydroModel1);
WadamRun8.useMultiBody(false);
WadamRun8.setLoadingCondition(LoadingCondition1);
WadamRun8.setEnvironmentData(Condition8);
WadamRun8.useSeaState(false);
// End Input **********
// Start Execution Directives **********
WadamRun8.dataCheck(false);
WadamRun8.setAnalysisType(WadamRunGlobalResponse);
   // Start Constants **********
WadamRun8.setToleranceWaterLine(5);
WadamRun8.setToleranceCOG(5);
WadamRun8.setCharacteristicLength(100 m);
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
WadamRun8.calculateDrift(false);
   // End Drift Forces **********
   // Start Roll Damping **********
WadamRun8.calculateRollDamping(false);
   // End Roll Damping **********
   // Start Equation Solver **********
WadamRun8.setSolverType(WadamRunDirectSolver);
WadamRun8.setMaxMatrixDimension(5000);
   // End Equation Solver **********
   // Start Print **********
WadamRun8.setPrintType(WadamRunNormalPrint);
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
WadamRun8.setResponseFileType(WadamRunSIFFormatted);
WadamRun8.calculateEigenvalues(true);
WadamRun8.defineGlobalResponseReferencePoint(false);
WadamRun8.sumFrequencyResults(false);
WadamRun8.differenceFrequencyResults(false);
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
WadamRun8.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun8.setIntegrationType(WadamRunOneNodeGauss);
WadamRun8.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun8.useWadamMassCalculation(false);
WadamRun8.removeIrrFrequencies(false);
WadamRun8.saveTempWamitFiles(false);
WadamRun8.stopBeforePotenExecution(false);
WadamRun8.bypassPotenExecution(false);
WadamRun8.stopBeforeFirstForceExecution(false);
WadamRun8.bypassFirstForceExecution(false);
WadamRun8.stopBeforeSecondForceExecution(false);
WadamRun8.bypassSecondForceExecution(false);
WadamRun8.useSaveRestart(false);
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
WadamRun8.specifyOutputDirectory(false,false);
WadamRun8.setOutputDirectory("");
WadamRun8.setOutputPrefix("");
WadamRun8.moveResultFiles(false);
WadamRun8.useRunNameAsPrefix(false);
// End Output Directory **********
FrequencySet8.clear();
FrequencySet8.addFrequency(100 rad/s);
FrequencySet8.addFrequency(150);
FrequencySet8.clear();
FrequencySet8.addFrequency(100 rad/s);
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
FrequencySet8.clear();
FrequencySet8.addFrequency(50 rad/s);
FrequencySet8.clear();
FrequencySet8.addFrequency(10 rad/s);
FrequencySet8.addFrequency(15 rad/s);
FrequencySet8.addFrequency(20 rad/s);
FrequencySet8.addFrequency(25 rad/s);
FrequencySet8.addFrequency(30 rad/s);
FrequencySet8.addFrequency(35 rad/s);
FrequencySet8.addFrequency(40 rad/s);
FrequencySet8.addFrequency(45 rad/s);
FrequencySet8.addFrequency(50 rad/s);
FrequencySet8.addFrequency(55 rad/s);
FrequencySet8.addFrequency(60 rad/s);
FrequencySet8.addFrequency(65 rad/s);
FrequencySet8.addFrequency(70 rad/s);
// Start Input **********
// End Input **********
// Start Execution Directives **********
   // Start Constants **********
   // End Constants **********
   // Start Wave **********
   // End Wave **********
   // Start Drift Forces **********
   // End Drift Forces **********
   // Start Roll Damping **********
   // End Roll Damping **********
   // Start Equation Solver **********
   // End Equation Solver **********
   // Start Print **********
   // End Print **********
   // Start Result Files **********
      // Start Global Response **********
      // End Global Response **********
      // Start Load Transfer **********
      // End Load Transfer **********
   // End Result Files **********
   // Start Advanced **********
   // End Advanced **********
// End Execution Directives **********
// Start Output Directory **********
// End Output Directory **********
FrequencySet8.clear();
FrequencySet8.addFrequency(10 rad/s);
FrequencySet8.addFrequency(15 rad/s);
FrequencySet8.addFrequency(20 rad/s);
FrequencySet8.addFrequency(25 rad/s);
FrequencySet8.addFrequency(30 rad/s);
FrequencySet8.addFrequency(35 rad/s);
FrequencySet8.addFrequency(40 rad/s);
FrequencySet8.addFrequency(45 rad/s);
FrequencySet8.addFrequency(50 rad/s);
FrequencySet8.addFrequency(55 rad/s);
FrequencySet8.addFrequency(60 rad/s);
FrequencySet8.addFrequency(65 rad/s);
FrequencySet8.clear();
FrequencySet8.addFrequency(10 rad/s);
FrequencySet8.addFrequency(15 rad/s);
FrequencySet8.addFrequency(20 rad/s);
FrequencySet8.addFrequency(25 rad/s);
FrequencySet8.addFrequency(30 rad/s);
FrequencySet8.addFrequency(35 rad/s);
FrequencySet8.addFrequency(40 rad/s);
FrequencySet8.addFrequency(45 rad/s);
FrequencySet8.addFrequency(50 rad/s);
FrequencySet8.addFrequency(55 rad/s);
FrequencySet8.addFrequency(60 rad/s);
FrequencySet8.clear();
FrequencySet8.addFrequency(10 rad/s);
FrequencySet8.addFrequency(15 rad/s);
FrequencySet8.addFrequency(20 rad/s);
FrequencySet8.addFrequency(25 rad/s);
FrequencySet8.addFrequency(30 rad/s);
FrequencySet8.addFrequency(35 rad/s);
FrequencySet8.addFrequency(40 rad/s);
FrequencySet8.addFrequency(45 rad/s);
FrequencySet8.addFrequency(50 rad/s);
FrequencySet8.addFrequency(55 rad/s);
// HydroD V4.7-01 ended 04-Oct-2016 14:01:29
