function comp_decay_2(var_2)

var = {var_2};
global tt par
fig_descr = { 'Heave displacement [m]';'Heave displacement [m]';'Pitch rotation [deg]';'Pitch rotation [deg]';};
fig_descr2 = { 'Heave'; 'Heave';'Pitch';'Pitch' };
fig_descr3 = { 'acceleration [m/s^2]'; 'acceleration [m/s^2]';'acceleration [deg/s^2]';'acceleration [m/s^2]' };
dir = {'decay_heave_2\';'decay_heave_2\';'decay_pitch_2\';'decay_pitch_2\';};
dir2 = {'heave_pos';'heave_pos';'pitch_pos';'pitch_pos';};
dir3 = {'column_base_heave_pos';'column_base_heave_pos';'column_base_pitch_pos';'column_base_pitch_pos';};
dir4 = {'heave_acc';'heave_acc';'heave_acc';'heave_acc';'heave_acc';};
dir5 = {'column_base_heave_acc';'column_base_heave_acc';'column_base_heave_acc';'column_base_heave_acc';};

fact = [74; 74; 1; 1];
input.reg.decay_heave_l = {'decay_heave_l.mat';};
input.reg.decay_pitch_l = {'decay_pitch_l.mat';};
input.reg.decay_heave_nl = {'decay_heave_nl.mat'};
input.reg.decay_pitch_nl = {'decay_pitch_nl.mat'};
input.plate.decay_heave_l_plate = {'decay_heave_l_plate.mat';};
input.plate.decay_pitch_l_plate = {'decay_pitch_l_plate.mat';};
input.plate.decay_heave_nl_plate = {'decay_heave_nl_plate.mat';};
input.plate.decay_pitch_nl_plate = {'decay_pitch_nl_plate.mat'};
dir6 = {'reg';'plate'};
dir7 = {'decay_heave';'decay_heave';'decay_pitch';'decay_pitch';};

basepath = 'C:/Users/Marius/Dropbox/Master_thesis/doc/fig/comparison/';

for k = 1:length(var)
    for j = 1 : length(var{1,k})
        cd(dir{j})
            
        ls1 = load(input.(dir6{k}).(var{1,k}{j}){1}); %ls
        %path = fullfile(['../' dir7{j}] , input.(dir6{k}).(var{1,k}{j}){1});
        %ls2 = load(path);
        
        
        %% Position 
        y1 = -ls1.ls.ts.( dir3{j} ).y(100:end-1);
        y2 = tt.(var{1,k}{j})(1).ls.ts.( dir2{j} ).y(1:70/(par.dt(1)*sqrt(par.scale)))*fact(j);
        %y3 = -ls2.ls.ts.( dir3{j} ).y(200:end-1);

        x1 = par.dt(3)*[0:length(y1)-1];
        x2 = par.dt(1)*[0:length(y2)-1]*sqrt(par.scale);
        %x3 = par.dt(2)*[0:length(y3)-1];

        fig = figure(5*(k-1) + j);
        plot(x2, y2);
        hold on
        plot(x1, y1,'--','Color','k','LineWidth',1);
        %hold on
        %plot(x3, y3);
        xlim ([x2(1) x2(end)])
        xlabel('Time [s]')
        ylabel(fig_descr{j})
        legend({'Experimental','Numerical LPT new'},'Position',[0.688363343667573 0.77141511852024 0.213685633783741 0.141705448855646],...
            'FontSize',7)
        step = sprintf('%d',j);
        loc = fullfile(basepath,[var{1,k}{j} '_lpt' '_2'], [dir2{j} '_' 'decay_' step]);
        x0=5;
        y0=5;
        width=500;
        height=150;
        set(gcf,'units','points','position',[x0,y0,width,height])
        hgexport(gcf,loc, hgexport('factorystyle'), 'Format', 'eps');
        hold off


        %% Acceleration
        y1 = -ls1.ls.ts.( dir5{j} ).y(100+2:end-1);
        y2 = tt.(var{1,k}{j})(1).ls.ts.( dir4{j} ).y(9.2998:70/(par.dt(1)*sqrt(par.scale)));
        %y3 = -ls2.ls.ts.( dir5{j} ).y(200+4:end-1);
        
        x1 = par.dt(3)*[0:length(y1)-1];
        x2 = par.dt(1)*[0:length(y2)-1]*sqrt(par.scale);
        %x3 = par.dt(2)*[0:length(y3)-1];

        fig = figure(5*(k-1)+j+10);
        plot(x2, y2);
        hold on
        plot(x1, y1,'--','Color','k','LineWidth',1);
        %hold on
        %plot(x3, y3);
        xlim ([x2(1) x2(end)])
        xlabel('Time [s]')
        ylabel(sprintf('%s \n %s',fig_descr2{j},fig_descr3{j}))
        legend({'Experimental','Numerical LPT new'},'Position',[0.688363343667573 0.77141511852024 0.213685633783741 0.141705448855646],...
            'FontSize',7)
        step = sprintf('%d',j);
        loc = fullfile(basepath,[var{1,k}{j} '_lpt' '_2'], [dir4{j} '_' 'decay_' step]);
        x0=100;
        y0=100;
        width=500;
        height=150;
        set(gcf,'units','points','position',[x0,y0,width,height])
        hgexport(gcf,loc, hgexport('factorystyle'), 'Format', 'eps');
        hold off
        cd('C:\Users\Marius\Dropbox\Master_thesis\Matlab_scripts\comparisons\regular_wave_tests');
    end
end

end