function [heave_pos, heave_acc, time2, nat_per] = readheavedecay_linear_ls(str,dirr)

cd(dirr)

%a=0;
%b=0;

matrix = load(str,'-ascii');

time = matrix(:,1);
acc_1 = -1 * matrix(:,2);
acc_2 = -1 * matrix(:,3);
flap_pos = matrix(:,4);
wave_amp = matrix(:,5);
wave_trigger = matrix(:,6);

%% Filter
acc_1 = acc_1 - mean(acc_1);
acc_2 = acc_2 - mean(acc_2);

cd('C:\Users\Marius\Dropbox\Sommerjobb_2016_FO\Modellforsok\Read_results')

%% Establish the period of oscillation
eta1 = acc2disple(acc_1,time);
eta2 = acc2disple(acc_2,time);

%% Establish the heave amplitude

eta_heave1 = (eta1 + eta2) / 2;

%% Establish natural period
[max_heave, b] = max(eta_heave1);

[peaks time_peaks] = findpeaks(eta_heave1(b:end));

act_peaks = find (peaks > 0);

a = time_peaks(act_peaks);

for j = 1:length(a(1:numel(a)))-1
    t11 = time(a(j));
    t21 = time(a(j+1));
    nat_per_temp(j) = t21 - t11;
end

nat_per = mean(nat_per_temp);

heave_pos = eta_heave1(b:end);

time2 = 0.005 *((1:1:length(eta_heave1((b:end)))'));

heave_acc = ( accfilt(acc_1(b:end)) + accfilt(acc_2(b:end)) ) /2; 


end
