function S = platmotions( ls, var)

dt = ls.ts.tower_base_X_moment.dt;
interval = (ls.prop.sim_solver_fatigue_int_time/ls.ts.tower_base_Y_moment.dt);

xn(:,1) = 0:dt:(length(ls.ts.wave_eta_origin.y)-interval)*dt-dt;
% PlatMotions = [ls.ts.column_base_surge_pos.y(interval+1:end) ls.ts.column_base_sway_pos.y(interval+1:end)...
%     ls.ts.column_base_heave_pos.y(interval+1:end) ls.ts.column_base_roll_pos.y(interval+1:end)...
%     ls.ts.column_base_pitch_pos.y(interval+1:end)];
if isstr(var)
    PlatMotions = ls.ts.(var).y(interval+1:end);
else
    PlatMotions = var;
end
xn(:,2) = PlatMotions;

S = dat2spec(xn,2000);
end

    